CLASS TEMPLATE SLOT(3)

NAME
boost::slot - Pass slots as function arguments.

SYNOPSIS

// In header: <boost/signals/slot.hpp>
template<typename SlotFunction>
class slot {
public:
  // construct/copy/destruct
  template<typename Slot> slot(Slot);
};

DESCRIPTION

  slot public construct/copy/destruct

    1.

    template<typename Slot> slot(Slot target);

    Effects:
        Invokes visit_each (unqualified) to discover pointers and references to signals::trackable objects in target.

        Initializes this to contain the incoming slot target, which may be any function object with which a SlotFunction can be constructed.